src/Entity/TarifaRCIALLInclusiveUSD.php
<?php

namespace App\Entity;

use App\Repository\TarifaRCIALLInclusiveUSDRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=TarifaRCIALLInclusiveUSDRepository::class)
 */
class TarifaRCIALLInclusiveUSD
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $hotel;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $fecha_ini;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $fecha_fin;

    /**
     * @ORM\Column(type="integer")
     */
    private $adulto;

    /**
     * @ORM\Column(type="integer")
     */
    private $junior;

    /**
     * @ORM\Column(type="integer")
     */
    private $nino;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getHotel(): ?string
    {
        return $this->hotel;
    }

    public function setHotel(string $hotel): self
    {
        $this->hotel = $hotel;

        return $this;
    }

    public function getFechaIni(): ?string
    {
        return $this->fecha_ini;
    }

    public function setFechaIni(string $fecha_ini): self
    {
        $this->fecha_ini = $fecha_ini;

        return $this;
    }

    public function getFechaFin(): ?string
    {
        return $this->fecha_fin;
    }

    public function setFechaFin(string $fecha_fin): self
    {
        $this->fecha_fin = $fecha_fin;

        return $this;
    }

    public function getAdulto(): ?int
    {
        return $this->adulto;
    }

    public function setAdulto(int $adulto): self
    {
        $this->adulto = $adulto;

        return $this;
    }

    public function getJunior(): ?int
    {
        return $this->junior;
    }

    public function setJunior(int $junior): self
    {
        $this->junior = $junior;

        return $this;
    }

    public function getNino(): ?int
    {
        return $this->nino;
    }

    public function setNino(int $nino): self
    {
        $this->nino = $nino;

        return $this;
    }
}

src/Form/TarifaRCIALLInclusiveUSDType.php
<?php

namespace App\Form;

use App\Entity\TarifaRCIALLInclusiveUSD;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class TarifaRCIALLInclusiveUSDType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('hotel')
            ->add('fecha_ini')
            ->add('fecha_fin')
            ->add('adulto')
            ->add('junior')
            ->add('nino')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => TarifaRCIALLInclusiveUSD::class,
        ]);
    }
}

src/Controller/TarifaRCIALLInclusiveUSDController.php
<?php

namespace App\Controller;

use App\Entity\TarifaRCIALLInclusiveUSD;
use App\Form\TarifaRCIALLInclusiveUSDType;
use App\Repository\TarifaRCIALLInclusiveUSDRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/tarifa/r/c/i/a/l/l/inclusive/u/s/d")
 */
class TarifaRCIALLInclusiveUSDController extends AbstractController
{
    /**
     * @Route("/", name="app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index", methods={"GET"})
     */
    public function index(TarifaRCIALLInclusiveUSDRepository $tarifaRCIALLInclusiveUSDRepository): Response
    {
        return $this->render('tarifa_rciall_inclusive_usd/index.html.twig', [
            'tarifa_r_c_i_a_l_l_inclusive_u_s_ds' => $tarifaRCIALLInclusiveUSDRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_new", methods={"GET", "POST"})
     */
    public function new(Request $request, TarifaRCIALLInclusiveUSDRepository $tarifaRCIALLInclusiveUSDRepository): Response
    {
        $tarifaRCIALLInclusiveUSD = new TarifaRCIALLInclusiveUSD();
        $form = $this->createForm(TarifaRCIALLInclusiveUSDType::class, $tarifaRCIALLInclusiveUSD);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $tarifaRCIALLInclusiveUSDRepository->add($tarifaRCIALLInclusiveUSD, true);

            return $this->redirectToRoute('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('tarifa_rciall_inclusive_usd/new.html.twig', [
            'tarifa_r_c_i_a_l_l_inclusive_u_s_d' => $tarifaRCIALLInclusiveUSD,
            'form' => $form,
        ]);
    }

    /**
     * @Route("/{id}", name="app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_show", methods={"GET"})
     */
    public function show(TarifaRCIALLInclusiveUSD $tarifaRCIALLInclusiveUSD): Response
    {
        return $this->render('tarifa_rciall_inclusive_usd/show.html.twig', [
            'tarifa_r_c_i_a_l_l_inclusive_u_s_d' => $tarifaRCIALLInclusiveUSD,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_edit", methods={"GET", "POST"})
     */
    public function edit(Request $request, TarifaRCIALLInclusiveUSD $tarifaRCIALLInclusiveUSD, TarifaRCIALLInclusiveUSDRepository $tarifaRCIALLInclusiveUSDRepository): Response
    {
        $form = $this->createForm(TarifaRCIALLInclusiveUSDType::class, $tarifaRCIALLInclusiveUSD);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $tarifaRCIALLInclusiveUSDRepository->add($tarifaRCIALLInclusiveUSD, true);

            return $this->redirectToRoute('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('tarifa_rciall_inclusive_usd/edit.html.twig', [
            'tarifa_r_c_i_a_l_l_inclusive_u_s_d' => $tarifaRCIALLInclusiveUSD,
            'form' => $form,
        ]);
    }

    /**
     * @Route("/{id}", name="app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_delete", methods={"POST"})
     */
    public function delete(Request $request, TarifaRCIALLInclusiveUSD $tarifaRCIALLInclusiveUSD, TarifaRCIALLInclusiveUSDRepository $tarifaRCIALLInclusiveUSDRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$tarifaRCIALLInclusiveUSD->getId(), $request->request->get('_token'))) {
            $tarifaRCIALLInclusiveUSDRepository->remove($tarifaRCIALLInclusiveUSD, true);
        }

        return $this->redirectToRoute('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/tarifa_rciall_inclusive_usd/_delete_form.html.twig
<form method="post" action="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_delete', {'id': tarifa_r_c_i_a_l_l_inclusive_u_s_d.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ tarifa_r_c_i_a_l_l_inclusive_u_s_d.id) }}">
    <button class="btn">Delete</button>
</form>

templates/tarifa_rciall_inclusive_usd/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/tarifa_rciall_inclusive_usd/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit TarifaRCIALLInclusiveUSD{% endblock %}

{% block body %}
    <h1>Edit TarifaRCIALLInclusiveUSD</h1>

    {{ include('tarifa_rciall_inclusive_usd/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index') }}">back to list</a>

    {{ include('tarifa_rciall_inclusive_usd/_delete_form.html.twig') }}
{% endblock %}

templates/tarifa_rciall_inclusive_usd/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}TarifaRCIALLInclusiveUSD index{% endblock %}

{% block body %}
    <h1>TarifaRCIALLInclusiveUSD index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Hotel</th>
                <th>Fecha_ini</th>
                <th>Fecha_fin</th>
                <th>Adulto</th>
                <th>Junior</th>
                <th>Nino</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for tarifa_r_c_i_a_l_l_inclusive_u_s_d in tarifa_r_c_i_a_l_l_inclusive_u_s_ds %}
            <tr>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.id }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.hotel }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.fechaIni }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.fechaFin }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.adulto }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.junior }}</td>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.nino }}</td>
                <td>
                    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_show', {'id': tarifa_r_c_i_a_l_l_inclusive_u_s_d.id}) }}">show</a>
                    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_edit', {'id': tarifa_r_c_i_a_l_l_inclusive_u_s_d.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="8">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_new') }}">Create new</a>
{% endblock %}

templates/tarifa_rciall_inclusive_usd/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New TarifaRCIALLInclusiveUSD{% endblock %}

{% block body %}
    <h1>Create new TarifaRCIALLInclusiveUSD</h1>

    {{ include('tarifa_rciall_inclusive_usd/_form.html.twig') }}

    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index') }}">back to list</a>
{% endblock %}

templates/tarifa_rciall_inclusive_usd/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}TarifaRCIALLInclusiveUSD{% endblock %}

{% block body %}
    <h1>TarifaRCIALLInclusiveUSD</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.id }}</td>
            </tr>
            <tr>
                <th>Hotel</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.hotel }}</td>
            </tr>
            <tr>
                <th>Fecha_ini</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.fechaIni }}</td>
            </tr>
            <tr>
                <th>Fecha_fin</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.fechaFin }}</td>
            </tr>
            <tr>
                <th>Adulto</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.adulto }}</td>
            </tr>
            <tr>
                <th>Junior</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.junior }}</td>
            </tr>
            <tr>
                <th>Nino</th>
                <td>{{ tarifa_r_c_i_a_l_l_inclusive_u_s_d.nino }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_index') }}">back to list</a>

    <a href="{{ path('app_tarifa_r_c_i_a_l_l_inclusive_u_s_d_edit', {'id': tarifa_r_c_i_a_l_l_inclusive_u_s_d.id}) }}">edit</a>

    {{ include('tarifa_rciall_inclusive_usd/_delete_form.html.twig') }}
{% endblock %}